package components
{
	import spark.components.IconItemRenderer;
	
	public class SampleItemRenderer extends IconItemRenderer
	{
		
		// Embed "Grey" icon
		[Embed(source="assets/icons/medalGold.png")]
		private var iconGold:Class;
		
		// Embed "Done" icon
		[Embed(source="assets/icons/medalGray.png")]
		private var iconGrey:Class;
		
		
		public function SampleItemRenderer()
		{
			//TODO: implement function
			super();
			super.labelField = "title";
			super.iconField = "icon";
			super.iconWidth = super.iconHeight = 35;
			
		}
		
		override public function set data(value:Object):void
		{
			// TODO Auto Generated method stub
			super.data = value;
			if(value != null)
			{
				super.data = value;
				var status:String  = value.badge;
				var icon:Class;
				switch(status){
					case "true":
						icon = iconGold;
						break;
					case "false":
						icon = iconGrey;
						break;
				}
				this.decorator = icon;
			}
		}
		
		
	}
}