package logic
{
	import mx.collections.ArrayCollection;
	import mx.core.FlexGlobals;
	
	import spark.managers.PersistenceManager;
	import spark.transitions.CrossFadeViewTransition;
	
	import views.SuccessView;

	public class GameController
	{
		public function GameController()
		{
		}
		
		public function successScore(dataItem:Object):void{

			//creates a temporary question value object
			// should have created a class but I only use it once... so... lazy sorry
			var obj:Object = new Object();
			obj.id = dataItem.id;
			obj.title = dataItem.title;
			obj.icon = dataItem.icon;
			obj.question = dataItem.question;
			obj.answer1 = dataItem.answer1;
			obj.answer2 = dataItem.answer2;
			obj.answer3 = dataItem.answer3;
			obj.correctAnswer = dataItem.correctAnswer;
			obj.sourceCode = dataItem.sourceCode;
			obj.viewName = dataItem.viewName;
			obj.badge = "true";
			obj.tutorial = dataItem.tutorial;
			
			FlexGlobals.topLevelApplication.arSamples.setItemAt(obj,dataItem.id);
			
			// Push success
			var myFadeTransition:CrossFadeViewTransition = new CrossFadeViewTransition();
			myFadeTransition.duration = 300;
			
			
			FlexGlobals.topLevelApplication.vnFull.pushView(views.SuccessView, obj,null,myFadeTransition);
			persistScore(obj);
		}
		
		public function persistScore(obj:Object):void{
			//obj contains the data of the question correctly answered
			var totalQuestions:int = FlexGlobals.topLevelApplication.arSamples.length;
			var arScoreTemp:ArrayCollection = FlexGlobals.topLevelApplication.arScore;
			var currentQuestionId:int = int(obj.id);
			
			try{
				for (var i:int = 0; i < arScoreTemp.length; i++) 
				{
					if(arScoreTemp.getItemAt(i).id == obj.id){
						
						return;
					}
				}
			}catch(e:Error){
				
			}
			
			FlexGlobals.topLevelApplication.arScore.addItem(obj);
			
			//local autoSave
			autoSaveScore();
			
			//Change UI
			FlexGlobals.topLevelApplication.updateScorePie();
		}
		
		protected function autoSaveScore():void{
			var pm:PersistenceManager = new PersistenceManager();
			pm.setProperty('flexScore',FlexGlobals.topLevelApplication.arScore);
		}
		

	}
}